<?php
/**
 * Simple Machines Forum (SMF)
 *
 * @package SMF
 * @author Simple Machines
 * @copyright 2011 Simple Machines
 * @license http://www.simplemachines.org/about/smf/license.php BSD
 *
 * @version 2.0
 */

// The only template in the file.
function template_main()
{
	global $context, $settings, $options, $scripturl, $txt;

	// Display the table header and linktree.
	echo '
	<div class="main_section" id="whos_online">
		<form action="', $scripturl, '?action=who" method="post" id="whoFilter" accept-charset="', $context['character_set'], '">
			<div class="cat_bar">
				<h3 class="catbg">', $txt['who_title'], '</h3>
			</div>
			<div class="pagesection">
				<div class="pagelinks">', $context['page_index'], '</div>';
	echo '
				<div class="selectbox floatright">', $txt['who_show1'], '
					<select name="show_top" onchange="document.forms.whoFilter.show.value = this.value; document.forms.whoFilter.submit();">';

	foreach ($context['show_methods'] as $value => $label)
		echo '
						<option value="', $value, '" ', $value == $context['show_by'] ? ' selected="selected"' : '', '>', $label, '</option>';
	echo '
					</select>
					<noscript>
						<input type="submit" name="submit_top" value="', $txt['go'], '" class="button_submit" />
					</noscript>
				</div>
			</div>
			<div id="mlist" class="member_list">';

	if (($context['show_by'] == 'all') || ($context['show_by'] == 'members'))
	{
		echo '
				<table class="table_grid">
					<thead>
						<tr class="catbg">
							<th scope="col" class="first_th"><a href="', $scripturl, '?action=who;start=', $context['start'], ';show=', $context['show_by'], ';sort=user', $context['sort_direction'] != 'down' && $context['sort_by'] == 'user' ? '' : ';asc', '" rel="nofollow">', $txt['who_user'], '', $context['sort_by'] == 'user' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></th>
							<th scope="col"><a href="', $scripturl, '?action=who;start=', $context['start'], ';show=', $context['show_by'], ';sort=time', $context['sort_direction'] == 'down' && $context['sort_by'] == 'time' ? ';asc' : '', '" rel="nofollow">', $txt['who_time'], ' ', $context['sort_by'] == 'time' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></th>
							<th scope="col" class="last_th">', $txt['who_action'], '</th>
						</tr>
					</thead>
					<tbody>';

	// For every member display their name, time and action (and more for admin).
	$alternate = 0;

		foreach ($context['members'] as $member)
		{
			// $alternate will either be true or false. If it's true, use "windowbg2" and otherwise use "windowbg".
			// Guests don't have information like icq, msn, y!, and aim... and they can't be messaged.
			if (!$member['is_guest'])
			{
				echo '
						<tr class="windowbg', $alternate ? '2' : '', '">
							<td class="mlist_icon">
								', $context['can_send_pm'] ? '<a href="' . $member['online']['href'] . '" title="' . $member['online']['label'] . '">' : '', $settings['use_image_buttons'] ? '<img src="' . $member['online']['image_href'] . '" alt="' . $member['online']['text'] . '" align="bottom" />' : $member['online']['text'], $context['can_send_pm'] ? '</a>' : '', '
							</td>
							<td class="mlist_member">

							<a href="'.$scripturl.'?action=profile;u='.$member['id'].'" title="',$txt['profile_of'],' ', $member['name'],' " >';
			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($member['avatar']['image']))
			{
				echo '
								<span class="mlist_avatar">', $member['avatar']['image'], '</span></a>';
			}
			elseif (!empty($member['group']))
			{
				echo '
								<span class="no_avatar ', $member['group'], '">', (substr($member['name'], 0, 1)), '</span></a>';
			}
			elseif (!empty($member['post_group']))
			{
				echo '
								<span class="no_avatar ', $member['post_group'], '">', (substr($member['name'], 0, 1)), '</span></a>';
			}
			else
			{
				echo '
								<span class="no_avatar">', (substr($member['name'], 0, 1)), '</span></a>';
			}
				echo '		
								<span class="mlist_name', $member['is_hidden'] ? ' hidden' : '', '"', empty($member['color']) ? '' : ' style="color: ' . $member['color']. '"', '>
									', $member['name'], '
								</span>
							</td>';

			if (!empty($member['ip']))
				echo '
							<td class="windowbg2 mlist_ip">
								<a href="' . $scripturl . '?action=', ($member['is_guest'] ? 'trackip' : 'profile;area=tracking;sa=ip;u=' . $member['id']), ';searchip=' . $member['ip'] . '">' . $member['ip'] . '</a>';
				echo '
							</td>
							<td nowrap="nowrap">', $member['time'], '</td>
							<td class="mlist_action">', $member['action'], '</td>
							<td class="windowbg2 mlist_mail">', $member['show_email'] == 'no' ? '' : '<a href="' . $scripturl . '?action=emailuser;sa=email;uid=' . $member['id'] . '" rel="nofollow"><img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt['email'] . '" title="' . $txt['email'] . ' ' . $member['name'] . '" /></a>', '</td>';

			if (!isset($context['disabled_fields']['website']))
				echo '
							<td class="windowbg mlist_site">', $member['website']['url'] != '' ? '<a href="' . $member['website']['url'] . '" target="_blank" rel="noopener noreferrer" class="new_win"><img src="' . $settings['images_url'] . '/www.gif" alt="' . $member['website']['title'] . '" title="' . $member['website']['title'] . '" /></a>' : '', '</td>';

			// ICQ?
			if (!isset($context['disabled_fields']['icq']))
				echo '
							<td class="windowbg2 mlist_icq">', $member['icq']['link'], '</td>';

			// AIM?
			if (!isset($context['disabled_fields']['aim']))
				echo '
							<td class="windowbg2 mlist_aim">', $member['aim']['link'], '</td>';

			// YIM?
			if (!isset($context['disabled_fields']['yim']))
				echo '
							<td class="windowbg2 mlist_yim">', $member['yim']['link'], '</td>';

			// MSN?
			if (!isset($context['disabled_fields']['msn']))
				echo '
							<td class="windowbg2 mlist_msn">', $member['msn']['link'], '</td>';

				echo '
						</tr>';
			}

			// Switch alternate to whatever it wasn't this time. (true -> false -> true -> false, etc.)
			$alternate = !$alternate;
		}

		// No members?
		if (empty($context['members']))
		{
			echo '
						<tr class="windowbg2">
							<td colspan="3" align="center">
							', $txt['who_no_online_' . ($context['show_by'] == 'members' || $context['show_by'] == 'all' ? 'members' :'')], '
							</td>
						</tr>';
		}

			echo '
						<tr style="height: 0; min-height: 0; margin: 0; padding: 0; border: 0; overflow: hidden;">
							<td class="windowbg" colspan="3"></td>
						</tr>
					</tbody>
				</table>';
	}			
	
	echo '
			</div>';

	if (($context['show_by'] == 'all') || ($context['show_by'] == 'guests'))
	{
		echo '
				<table class="table_grid" cellspacing="0">
					<thead>
						<tr class="catbg">
							<th scope="col" class="lefttext first_th" width="40%"><a href="', $scripturl, '?action=who;start=', $context['start'], ';show=', $context['show_by'], ';sort=user', $context['sort_direction'] != 'down' && $context['sort_by'] == 'user' ? '' : ';asc', '" rel="nofollow">', $txt['who_user'], ' ', $context['sort_by'] == 'user' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.png" alt="" />' : '', '</a></th>
							<th scope="col" class="lefttext" width="10%"><a href="', $scripturl, '?action=who;start=', $context['start'], ';show=', $context['show_by'], ';sort=time', $context['sort_direction'] == 'down' && $context['sort_by'] == 'time' ? ';asc' : '', '" rel="nofollow">', $txt['who_time'], ' ', $context['sort_by'] == 'time' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.png" alt="" />' : '', '</a></th>
							<th scope="col" class="lefttext last_th" width="50%">', $txt['who_action'], '</th>
						</tr>
					</thead>
					<tbody>';

		// For every guest display their title, time and action (and more for admin).
		$alternate = 0;

		foreach ($context['members'] as $member)
		{
			if ($member['is_guest'])
			{
				// $alternate will either be true or false. If it's true, use "windowbg2" and otherwise use "windowbg".
				echo '
						<tr class="windowbg', $alternate ? '2' : '', '">
							<td>
								<span class="member">
									', $member['name'], '
								</span>';

			if (!empty($member['ip']))
				echo '
								(<a href="' . $scripturl . '?action=', ($member['is_guest'] ? 'trackip' : 'profile;area=tracking;sa=ip;u=' . $member['id']), ';searchip=' . $member['ip'] . '">' . $member['ip'] . '</a>)';
				echo '
							</td>
							<td nowrap="nowrap">', $member['time'], '</td>
							<td>', $member['action'], '</td>
						</tr>';

				// Switch alternate to whatever it wasn't this time. (true -> false -> true -> false, etc.)
					$alternate = !$alternate;
			}
		}

		// No members?
		if (empty($context['members']))
		{
			echo '
						<tr class="windowbg">
							<td colspan="3" class="content"> ', ($context['show_by'] == 'guests' || $context['show_by'] == 'spiders' ? $txt['who_no_online_'. $context['show_by']] : ''), ' </td>
						</tr>';
		}
			echo '
						<tr style="visibility: hidden;">
							<td class="windowbg" colspan="3"></td>
						</tr>
					</tbody>
				</table>';
	}

	echo '
			<div class="pagesection">
				<div class="pagelinks floatleft">', $context['page_index'], '</div>';

	echo '
				<div class="selectbox floatright">', $txt['who_show1'], '
					<select name="show" onchange="document.forms.whoFilter.submit();">';

	foreach ($context['show_methods'] as $value => $label)
		echo '
						<option value="', $value, '" ', $value == $context['show_by'] ? ' selected="selected"' : '', '>', $label, '</option>';
	echo '
					</select>
					<noscript>
						<input type="submit" value="', $txt['go'], '" class="button_submit" />
					</noscript>
				</div>
			</div>
		</form>
	</div>';
}

function template_credits()
{
	global $context, $txt, $settings;

	// The most important part - the credits :P.
	echo '
	<div class="main_section" id="credits">
		<div class="cat_bar">
			<h3 class="catbg">', $txt['credits'], '</h3>
		</div>';

	foreach ($context['credits'] as $section)
	{
		if (isset($section['pretext']))
		echo '
		<div class="windowbg">
			<span class="topslice"></span>
			<div class="content">
				<p>', $section['pretext'], '</p>
			</div>
			<span class="botslice"></span>
		</div>';

		if (isset($section['title']))
		echo '
		<div class="cat_bar">
			<h3 class="catbg">', $section['title'], '</h3>
		</div>';

		echo '
		<div class="windowbg2">
			<span class="topslice"></span>
			<div class="content">';

		foreach ($section['groups'] as $group)
		{
			if (isset($group['title']))
				echo '

				<dl>
					<dt>
						<strong>', $group['title'], '</strong>
					</dt>
					<dd>';

			// Try to make this read nicely.
			if (count($group['members']) <= 2)
				echo implode(' ' . $txt['credits_and'] . ' ', $group['members']);
			else
			{
				$last_peep = array_pop($group['members']);
				echo implode(', ', $group['members']), ' ', $txt['credits_and'], ' ', $last_peep;
			}

			echo '
					</dd>
				</dl>
				<hr />';
		}

		if (isset($section['posttext']))
			echo '
				<p class="posttext">', $section['posttext'], '</p>
				<hr />';

		echo '
			</div>
			<span class="botslice"></span>
		</div>';
	}

	echo '
		<div class="cat_bar">
			<h3 class="catbg">', $txt['credits_copyright'], '</h3>
		</div>
		<div class="windowbg">
			<span class="topslice"></span>
			<div class="content">
				<dl>
					<dt><strong>', $txt['credits_forum'], '</strong></dt>', '
					<dd>', $context['copyrights']['smf'];

	echo '
					</dd>
				</dl>';

	if (!empty($context['copyrights']['mods']))
	{
		echo '
				<dl>
					<dt><strong>', $txt['credits_modifications'], '</strong></dt>
					<dd>', implode('</dd><dd>', $context['copyrights']['mods']), '</dd>
				</dl>';
	}

	echo '
				<hr />
				<dl>
					<dt><strong>', $txt['KDE_Oxygen_title'], '</strong></dt>
					<dd>', $txt['KDE_Oxygen_blurb'], '</dd>
				</dl>
				<hr />
			</div>
			<span class="botslice"></span>
		</div>
	</div>';
}
?>